Capannone mettallico in FreeCad

Forum per le domande e le discussioni in Italiano
Forum rules
regole del forum e le informazioni utili

Importante: PRIMA di chiedere aiuto leggete qui!
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Mon Oct 16, 2017 1:23 pm

Ad esempio, ho un portale definito dallo sketch nel piano xz come quello in figura 1 (https://1drv.ms/i/s!AietkfmULY9Cjt07jltK6qIaOQFwPg)
Sul piano in figura 2 (https://1drv.ms/i/s!AietkfmULY9Cjt09tIIklqaWW2LMn) mi piacerebbe vincolare la sezione in figura 3 (https://1drv.ms/i/s!AietkfmULY9Cjt08HXXEKWBzwGjyOQ), secondo uno dei punti evidenziati nella figura stessa, al vertice del portale evidenziato nella figura 1.
renatorivo
Posts: 2236
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Mon Oct 16, 2017 2:03 pm

La tua figura 2 non si apre, la pagina è bianca.
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Mon Oct 16, 2017 2:13 pm

renatorivo
Posts: 2236
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Mon Oct 16, 2017 2:21 pm

Ok, ora funziona, mancava una A
renatorivo
Posts: 2236
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Mon Oct 16, 2017 6:55 pm

Ciao.
FreeCAD0.16 accetta i riferimenti a geometrie esterne solo su delle forme, ma ora con FreeCAD 0.17 si possono creare dei riferimenti alle geometrie esterne anche se queste geometrie sono solo degli schizzi.
Questo semplifica molto i collegamenti tra diversi schizzi.
Per descivere questo ho creato un piccolo file di esempio con Sketcher e Part, e ho evitato PartDesign.
Ho creato un primo schizzo con un pilastro e un montante,
poi ho creato un secondo schizzo di supporto (un semplice triangolo), ausiliario, collegandolo al montante del primo schizzo.
Questo secondo schizzo serve per poter mappare la sagoma del montante (trave) su una faccia che abbia già il giusto orientamento, in questo caso ho dato una pendenza di 30°.
Ho creato una Estrusione dal secondo schizzo,
poi ho creato il terzo schizzo (solo un rettangolo) sulla faccia orientata dell'estrusione, basata di nuovo su una geometria esterna, cioè basata sul lato superiore della faccia dell'estrusione.
Infine una nuova Estrusione per creare la trave, che è distanziata solo per rendere più leggibile la vista.
Prove:
modificando l'altezza del pilastro nel primo schizzo il pilastro diventa più alto e la trave è posizionata correttamente al di sopra
modificando l'inclinazione nel primo schizzo la trave si adegua
modificando la sagoma della trave nello schizzo la forma solida si adegua,
quindi mi pare che funzioni tutto.
due-schizzi.png
due-schizzi.png (41.47 KiB) Viewed 461 times
due-schizzi.FCStd
(9.78 KiB) Downloaded 15 times
Spero sia quello che ti serve

Metodi più veloci da provare.
Evitare l'estrusione di supporto usando le geometrie base di Part oppure i Data plane di PartDesign.

Renato
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Tue Oct 17, 2017 9:11 am

Grazie mille Renato, il tuo aiuto mi sta permettendo di scalare la curva di apprendimento molto rapidamente. La procedura su cui stavo lavorando io invece era quella di registrare una macro durante le operazioni che eseguivo per modellare il capannone usando il workbench Flamingo. In questo modo fatta una modifica potrei ridisegnare il tutto molto velocemente, una sorta di Ricalcola come mi avevi suggerito tu tempo fa (Ricalcola non funzionava con gli oggetti creati con Flammingo). Ad esempio lo script seguente disegna un semi-portale, speravo di poter settare i vincoli usando delle variabili tipo altezza colonna = 3000.000000 mm, magari scrivere anche un ciclo for per disegnare diversi portali posizionati secondo una griglia... che ne pensate ?

Code: Select all

import FreeCAD
import Sketcher

App.activeDocument().addObject('Sketcher::SketchObject','Portale_xz')
App.activeDocument().Portale_xz.Placement = App.Placement(App.Vector(0.000000,0.000000,0.000000),App.Rotation(-0.707107,0.000000,0.000000,-0.707107))
App.ActiveDocument.Portale_xz.addGeometry(Part.Line(App.Vector(-122.629684,-4.373641,0),App.Vector(-122.880569,738.660706,0)),False)
App.ActiveDocument.Portale_xz.addConstraint(Sketcher.Constraint('PointOnObject',0,1,-1)) 
App.ActiveDocument.Portale_xz.addConstraint(Sketcher.Constraint('Vertical',0)) 
App.ActiveDocument.Portale_xz.addGeometry(Part.Line(App.Vector(-122.629684,738.660706,0),App.Vector(136.756042,846.013916,0)),False)
App.ActiveDocument.Portale_xz.addConstraint(Sketcher.Constraint('Coincident',0,2,1,1)) 
App.ActiveDocument.Portale_xz.addConstraint(Sketcher.Constraint('DistanceX',0,1,-1,1,122.629684)) 
App.ActiveDocument.Portale_xz.setDatum(3,App.Units.Quantity('3500.000000 mm'))
App.ActiveDocument.Portale_xz.addConstraint(Sketcher.Constraint('DistanceY',0,1,0,2,738.660706)) 
App.ActiveDocument.Portale_xz.setDatum(4,App.Units.Quantity('3000.000000 mm'))
App.ActiveDocument.Portale_xz.addConstraint(Sketcher.Constraint('DistanceX',1,1,1,2,3136.756042)) 
App.ActiveDocument.Portale_xz.setDatum(5,App.Units.Quantity('4000.000000 mm'))
App.ActiveDocument.Portale_xz.movePoint(1,0,App.Vector(-1211.183563,3460.524963,0),1)
App.ActiveDocument.Portale_xz.addConstraint(Sketcher.Constraint('DistanceY',1,1,1,2,1306.538879)) 
App.ActiveDocument.Portale_xz.setDatum(6,App.Units.Quantity('1000.000000 mm'))
App.ActiveDocument.recompute()
User avatar
Anam
Posts: 39
Joined: Mon Mar 20, 2017 10:22 am
Location: Teramo, Italy

Re: Capannone mettallico in FreeCad

Postby Anam » Thu Oct 26, 2017 11:32 am

Salve a tutti, sto procedendo alla costruzione del mio capannone metallico.
Alla fine mi sono convinto che l'ambiente Flamingo è il miglio approccio per questo tipo di lavori, sebbene è per certi versi laborioso. Ora sto iniziando ad affrontare un altro problema, le intersezioni fra le travi che ho disegnato non sono corrette (v. figura https://1drv.ms/i/s!AietkfmULY9Cjt0-yKvyK6Y1_94SUQ). Sto cercando una via rapida per tagliare le travi in modo da non avere compenetrazione di materia
renatorivo
Posts: 2236
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Thu Oct 26, 2017 4:48 pm

Anam wrote:
Thu Oct 26, 2017 11:32 am
Sto cercando una via rapida per tagliare le travi in modo da non avere compenetrazione di materia
Per le connessioni ortogonali c'è l'apposito strumento StretchTheBeam (icona doppia freccia) che funziona bene.
La cosa più complicata è collegare due strutture con assi sghembi.
Ho provato a smussare ad esempio una trave per far combaciare la sua estremità con la faccia di un'altra trave, ma dopo questa operazione non è più un oggettto Struttura, bensì un normale oggetto Part.
Magari c'è un modo che non ho ancora individuato?

Renato
renatorivo
Posts: 2236
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Thu Oct 26, 2017 5:01 pm

Anam wrote:
Thu Oct 26, 2017 11:32 am
Alla fine mi sono convinto che l'ambiente Flamingo è il miglio approccio per questo tipo di lavori, sebbene è per certi versi laborioso.
Certamente Flamingo è di notevole aiuto per questo tipo di progetti, secondo me in particolar modo se si lavora su strutture saldate, o di varie lunghezze.

Quando invece si lavora su strutture imbullonate, dove si usa un significativo numero di elementi che possono essere prodotti singolarmente e poi uniti in unico progetto, quali travi della stessa forma e con gli stessi fori, piastre replicate molte volte, e bulloni sempre uguali, ecc, conviene provare anche l'ambiente Assembly2.

Un mix dei due ambienti velocizza di molto la progettazione.

Renato
renatorivo
Posts: 2236
Joined: Tue Feb 21, 2012 8:07 pm
Location: Torino - Italy

Re: Capannone mettallico in FreeCad

Postby renatorivo » Thu Oct 26, 2017 8:00 pm

Esempio di taglio di struttura metallica
taglio strutture.png
taglio strutture.png (16.16 KiB) Viewed 400 times
taglio strutture.FCStd
(22.52 KiB) Downloaded 16 times
Dopo il taglio l'oggetto non è più una struttura. Si deve tornare in Arch e riconvertire il risultato in una Struttura

Renato